<!DOCTYPE html>
<html>
<title> Bootstrap template- Pizza 365 project</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<style>
    .bg-lightgoldenrodyellow {
        background-color: rgb(250,250,210);
    }
    .bg-yellow {
        background-color: yellow;
    }
    .bg-lightsalmon {
        background-color: rgb(255,160,122);
    }
    .bg-orange {
        background-color: orange;
    }
</style>
<body>

  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-warning">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">Trang chủ</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#combo">Combo</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#loaipizza">Loại Pizza</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#guidonhang" id="a-order-detail" onclick="OrderDetailClick()">Gửi đơn hàng</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1 style="color:orange"><b>Pizza 365</b></h1>
            <h5 style="color:orange"><i>Truly italian!</i></h5>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="image/1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="image/2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="image/3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="image/4.jpg" alt="Fourth slide">
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2 style="color:orange"><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 bg-lightgoldenrodyellow border border-warning">
                <h3 class="p-2">Đa dạng</h3>
                <p class="p-2">Số lượng pizza đa dạng, có đẩy đủ các loại pizza đang hot nhất hiện nay.</p>
              </div>
              <div class="col-sm-3 p-4 bg-yellow border border-warning">
                <h3 class="p-2">Chất lượng</h3>
                <p class="p-2">Nguyên liệu sạch 100% rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm.</p>
              </div>
              <div class="col-sm-3 p-4 bg-lightsalmon  border border-warning">
                <h3 class="p-2">Hương vị</h3>
                <p class="p-2">Đảm bảo hương vị ngon, độc lạ mà bạn chỉ có thể trải nghiệm từ Pizza 365.</p>
              </div>
              <div class="col-sm-3 p-4 bg-orange border border-warning">
                <h3 class="p-2">Dịch vụ</h3>
                <p class="p-2">Nhân viên thân thiện, nhà hàng hiện đại.Dịch vụ giao hàng nhanh chất lượng, tân tiến.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="combo" class="row">
          <!-- Title what we offer -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2 style="color:orange"><b class="p-1 border-bottom">Chọn size pizza</b></h2>
            <p style="color:orange"><span class="p-2">Chọn combo pizza phù hợp với nhu cầu của bạn</span></p>
          </div>
          <!-- Content what we offer -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header text-center bg-orange">
                    <h3>S (Small)</h3>
                  </div>
                  <div class="card-body text-center ">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>20cm</b> Đường kính</li>
                      <li class="list-group-item"><b>2</b> Sườn nướng</li>
                      <li class="list-group-item"><b>200g</b> Salad</li>
                      <li class="list-group-item"><b>2</b> Nước ngọt</li>
                      <li class="list-group-item">
                        <h1><b>150.000</b></h1>VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-warning form-control" id="btn-small">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header text-center bg-orange">
                    <h3>M (Medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>25cm</b> Đường kính</li>
                      <li class="list-group-item"><b>4</b> Sườn nướng</li>
                      <li class="list-group-item"><b>300g</b> Salad</li>
                      <li class="list-group-item"><b>3</b> Nước ngọt</li>
                      <li class="list-group-item">
                        <h1><b>200.000</b></h1>VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-warning form-control" id="btn-medium">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-orange text-center">
                    <h3>L (Large)</h3>
                  </div>
                  <div class="card-body text-center ">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item"><b>30cm</b> Đường kính</li>
                      <li class="list-group-item"><b>8</b> Sườn nướng</li>
                      <li class="list-group-item"><b>500g</b> Salad</li>
                      <li class="list-group-item"><b>4</b> Nước ngọt</li>
                      <li class="list-group-item">
                        <h1><b>250.000</b></h1>VND
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button class="btn btn-warning form-control" id="btn-large">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="loaipizza" class="row">
          <!-- Title Chọn loại Pizza -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2 style="color:orange"><b class="p-2 border-bottom">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content Loại Pizza -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="image/seafood.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>OCEAN MANIA</h4>
                    <p>PIZZA HẢI SẢN XỐT MAYONNAISE</p>
                    <p>Xốt Cà Chua, Phô Mai Mozzarella, Tôm, Mực, Thanh Cua, Hành Tây.</p>
                    <p><button class="btn btn-warning w-100" id="btn-seafood">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="image/hawaiian.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>HAWAIIAN</h4>
                    <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                    <p>Xốt Cà Chua, Phô Mai Mozzarella, Thịt Dăm Bông, Thơm.</p>
                    <p><button class="btn btn-warning w-100" id="btn-hawai">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="image/bacon.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>CHEESY CHICKEN BACON</h4>
                    <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                    <p>Xốt Phô Mai, Thịt Gà, Thịt Heo Muối, Phô Mai Mozzarella, Cà Chua.</p>
                    <p><button class="btn btn-warning w-100" id="btn-bacon">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-12 text-center p-4 mt-4">
                <h2><b class="p-2 border-bottom">Hãy chọn đồ uống mà bạn yêu thích</b></h2>
                <select name="" id="select-doUong" class="form-control">
                  <option value="">----- Hãy chọn đồ uống mà bạn yêu thích -----</option>
                </select>
              </div>
            </div>
          </div>
        </div>

        <div id="guidonhang" class="row">
          <!-- Title Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2 style="color:orange"><b class="p-2 border-bottom">Gửi đơn hàng</b></h2>
          </div>

          <!-- Content Contact Us -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12 p-2 jumbotron">
                <div class="form-group">
                  <label for="fullname">Họ và tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Họ và tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="message">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher-id" placeholder="Mã giảm giá">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Lời nhắn">
                </div>
                <div id="p-result-check" style=" word-break: break-all;"></div>
                <button type="button" class="btn btn-warning w-100" id="btn-send">Gửi</button>
              </div>
            </div>
          </div>
  <!-- Footer -->
  <div class="container-fluid bg-orange p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
        </div>
      </div>
    </div>
  </div>

  <!-- Modal Content -->
  <div class="bs-example">
    <div id="my-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Thông tin đơn hàng</h5>
                </div>
                <div class="modal-body">
                    <div class="row">
                      <label for="">Họ và tên :</label>
                    </div>
                    <div class="row">
                      <input type="text" class="form-control" id="inp-modal-ho-ten" disabled>
                    </div>
                    <br>
                    <div class="row">
                      <label for="">Số điện thoại</label>
                    </div>
                    <div class="row">
                      <input type="text" class="form-control" id="inp-modal-so-dien-thoai" disabled>
                    </div>
                    <br>
                    <div class="row">
                      <label for="">Địa chỉ</label>
                    </div>
                    <div class="row">
                      <input type="text" class="form-control" id="inp-modal-dia-chi" disabled>
                    </div>
                    <br>
                    <div class="row">
                      <label for="">Lời nhắn</label>
                    </div>
                    <div class="row">
                      <input type="text" class="form-control" id="inp-modal-loi-nhan" disabled>
                    </div>
                    <br>
                    <div class="row">
                      <label for="">Mã giảm giá</label>
                    </div>
                    <div class="row">
                      <input type="text" class="form-control" id="inp-modal-ma-giam-gia" disabled>
                    </div>
                    <br>
                    <div class="row">
                      <label for="">Thông tin chi tiết</label>
                    </div>
                    <div class="row">
                      <textarea name="" id="textarea" cols="30" rows="10" class="form-control" disabled></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button id="btn-cancel" class="btn btn-danger">Quay lại</button>
                    <button id="btn-accept" class="btn btn-warning">Tạo đơn</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Content -->
  <div class="bs-example">
    <div id="complete-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog bg-orange">
            <div class="modal-content bg-orange">
                <div class="modal-header">
                    <h5 class="modal-title">Cảm ơn bạn đã đặt hàng tại Pizza 365.Mã đơn hàng của bạn là:</h5>
                </div>
                <div class="modal-body">
                    <div class="row">
                      <div class="col-sm-4">
                        <label for="">Mã đơn hàng</label>
                      </div>
                      <div class="col-sm-8">
                        <input type="text" id="inp-complete" class="form-control">
                      </div>
                    </div>
                </div>
                <div class="modal-footer">
                  <button class="form-control btn btn-danger" id="btn-complete">Đồng ý</button>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script>
  $(document).ready(function(){
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    // bạn có thê dùng để lưu trữ combo được chọn, mỗi khi khách chọn bạn lại đổi giá trị properties của nó
    var gSelectedMenuStructure = {
      menuName: "...",    // S, M, L
      duongKinhCM: 0,
      suonNuong: 0,
      saladGr: 0,
      drink: 0,
      priceVND: 0,
      discount:0,
      thanhTien:"",
    }
    //Đối tượng chứa dữ liệu người dùng :
    var vDataUserInfo = {
      hoTen:"",
      email:"",
      soDienThoai:"",
      diaChi:"",
      loiNhan:"",
      maGiamGia:"",
    }
    //Bạn có thể dùng để lưu loại nước uống được chọn : 
    var vDrinkSelect = "";
    // bạn có thể dùng để lưu loại pizza đươc chọn, mỗi khi khách chọn, bạn lại đổi giá trị cho nó
    var gSelectedPizzaType = ""
    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
    //Hàm tải trang :
    onPageLoading();
    //Gán sự kiện cho nút Small
    $("#btn-small").on("click",function(){
      onBtnSmallClick();
    });
    //Gán sự kiện cho nút Medium
    $("#btn-medium").on("click",function(){
      onBtnMediumClick();
    });
    //Gán sự kiện cho nút Large
    $("#btn-large").on("click",function(){
      onBtnLargeClick();
    });
    //Gán sự kiện cho nút Hawai
    $("#btn-hawai").on("click",function(){
      onBtnHawaiClick();
    });
    //Gán sự kiện cho nút Seafood
    $("#btn-seafood").on("click",function(){
      onBtnSeafoodClick();
    });
    //Gán sự kiện cho nút Bacon
    $("#btn-bacon").on("click",function(){
      onBtnBaconClick();
    });
    //Gán sự kiện cho nút Gửi
    $("#btn-send").on("click",function(){
      onBtnSendClick();
    });
    //Gán sự kiện cho nút Quay lại trong modal :
    $("#btn-cancel").on("click",function(){
      onBtnCancelClick();
    });
    //Gán sự kiện cho nút Gửi đơn trong modal:
    $("#btn-accept").on("click",function(){
      onBtnAcceptClick();
    });
    //Gán sự kiện cho nút đồng ý trong form complete 
    $("#btn-complete").on("click",function(){
      onBtnCompleteClick();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    //Hàm xử lý sự kiện khi bấm nút chọn Small
    function onBtnSmallClick(){
      "use strict"
      $("#btn-small").attr("class","btn-success form-control");
      $("#btn-medium").attr("class","btn-warning form-control");
      $("#btn-large").attr("class","btn-warning form-control");
      //Đổi giá trị gSelectedMenuStructure :
      gSelectedMenuStructure.menuName = "S";
      gSelectedMenuStructure.duongKinhCM = 20;
      gSelectedMenuStructure.suonNuong = 2;
      gSelectedMenuStructure.saladGr = 200;
      gSelectedMenuStructure.drink = 2;
      gSelectedMenuStructure.priceVND = 150000;
      //Console để theo dõi :
      console.log(gSelectedMenuStructure);
    }
    //Hàm xử lý sự kiện khi bấm bút chọn medium
    function onBtnMediumClick(){
      "use strict"
      $("#btn-small").attr("class","btn-warning form-control");
      $("#btn-medium").attr("class","btn-success form-control");
      $("#btn-large").attr("class","btn-warning form-control");
      //Đổi giá trị gSelectedMenuStructure :
      gSelectedMenuStructure.menuName = "M";
      gSelectedMenuStructure.duongKinhCM = 25;
      gSelectedMenuStructure.suonNuong = 4;
      gSelectedMenuStructure.saladGr = 300;
      gSelectedMenuStructure.drink = 3;
      gSelectedMenuStructure.priceVND = 200000;
      //Console để theo dõi :
      console.log(gSelectedMenuStructure);
    }
    //Hàm xử lý sự kiện khi bấm nút chọn large
    function onBtnLargeClick(){
      "use strict"
      $("#btn-small").attr("class","btn-warning form-control");
      $("#btn-medium").attr("class","btn-warning form-control");
      $("#btn-large").attr("class","btn-success form-control");
      //Đổi giá trị gSelectedMenuStructure :
      gSelectedMenuStructure.menuName = "L";
      gSelectedMenuStructure.duongKinhCM = 30;
      gSelectedMenuStructure.suonNuong = 8;
      gSelectedMenuStructure.saladGr = 500;
      gSelectedMenuStructure.drink = 4;
      gSelectedMenuStructure.priceVND = 250000;
      //Console để theo dõi :
      console.log(gSelectedMenuStructure);
    }
    //Hàm xử lý sự kiện khí bấm nút chọn gói Hawai
    function onBtnHawaiClick(){
      "use strict"
      $("#btn-hawai").attr("class","btn-success form-control");
      $("#btn-seafood").attr("class","btn-warning form-control");
      $("#btn-bacon").attr("class","btn-warning form-control");
      //Đổi giá trị gSelectedPizzaType :
      gSelectedPizzaType = "Hawai";
      //Console để theo dõi :
      console.log(gSelectedPizzaType);
    }
    //Hàm xử lý sự kiện khí bấm nút chọn gói Hawai
    function onBtnSeafoodClick(){
      "use strict"
      $("#btn-hawai").attr("class","btn-warning form-control");
      $("#btn-seafood").attr("class","btn-success form-control");
      $("#btn-bacon").attr("class","btn-warning form-control");
      //Đổi giá trị gSelectedPizzaType :
      gSelectedPizzaType = "Seafood";
      //Console để theo dõi :
      console.log(gSelectedPizzaType);
    }
    //Hàm xử lý sự kiện khí bấm nút chọn gói Hawai
    function onBtnBaconClick(){
      "use strict"
      $("#btn-hawai").attr("class","btn-warning form-control");
      $("#btn-seafood").attr("class","btn-warning form-control");
      $("#btn-bacon").attr("class","btn-success form-control");
      //Đổi giá trị gSelectedPizzaType :
      gSelectedPizzaType = "Bacon";
      //Console để theo dõi :
      console.log(gSelectedPizzaType);
    }
    //Hàm tải trang
    function onPageLoading(){
      "use strict"
      getDrinkList();
    }
    //Hàm xử lý sự kiện khi bấm nút Gửi 
    function onBtnSendClick(){
      "use strict"
      //Bước 1 : Tạo object để thu thập dữ liệu : (không có)
      //Bước 2 : Thu thập dữ liệu :
      getDataUserInfo(vDataUserInfo);
      console.log(vDataUserInfo);
      console.log(gSelectedMenuStructure);
      console.log(vDrinkSelect);
      //Bước 3 : Validate (kiểm tra)
      if(validate()){
        $("#my-modal").modal("show");
        loadDataUserToFormModal();
      }
    }
    //Hàm xử lý sư kiện khi bấm nút Quay lại trong modal
    function onBtnCancelClick(){
      "use strict"
      $("#my-modal").modal("hide");
    };
    //Hàm xử lý sự kiện khi bấm nút Gửi đơn trong modal
    function onBtnAcceptClick(){
      "use strict"
      var SelectedDrink = $("#select-doUong").val();
      // khai báo object order để chứa thông tin đặt hàng với 14 thuộc tính
      var vObjectRequest = {
        kichCo: gSelectedMenuStructure.menuName,
        duongKinh: gSelectedMenuStructure.duongKinhCM,
        suon: gSelectedMenuStructure.suonNuong,
        salad: gSelectedMenuStructure.saladGr,
        loaiPizza: gSelectedPizzaType,
        idVourcher: vDataUserInfo.maGiamGia,
        idLoaiNuocUong: SelectedDrink,
        soLuongNuoc: gSelectedMenuStructure.drink,
        hoTen: vDataUserInfo.hoTen,
        thanhTien: gSelectedMenuStructure.thanhTien,
        email: vDataUserInfo.email,
        soDienThoai: vDataUserInfo.soDienThoai,
        diaChi: vDataUserInfo.diaChi,
        loiNhan: vDataUserInfo.loiNhan,
      }
      //Console để theo dõi :
      console.log(vObjectRequest);
      //Gọi sever :
      $.ajax({
        url: "http://42.115.221.44:8080/devcamp-pizza365/orders",
        type:"POST",
        contentType:"application/json",
        data: JSON.stringify(vObjectRequest),
        success: function(responseObject){
          console.log(responseObject);
          $("#my-modal").modal("hide");
          $("#complete-modal").modal("show");
          $("#inp-complete").val(responseObject.orderId);
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        }
      });
    }
    function onBtnCompleteClick(){
      "use strict"
      $("#complete-modal").modal("hide");
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //Hàm lấy danh sách đồ uống
    function getDrinkList(){
      "use strict"
      //Bước 1 : Truy xuất 
      var vSelectDrinkList = $("#select-doUong");
      //Bước 2 : Gọi sever
      $.ajax({
        url: "http://42.115.221.44:8080/devcamp-pizza365/drinks",
        type:"GET",
        success: function(responseObject){
          var vDrinkListObject = responseObject;
          console.log(responseObject);
          //Bước 3 : Load dữ liệu vào select
          for (var vIndex = 0 ; vIndex < vDrinkListObject.length ; vIndex ++ ){
            $("<option/>")
              .prop("value",vDrinkListObject[vIndex].maNuocUong)
              .prop("text",vDrinkListObject[vIndex].tenNuocUong)
              .appendTo(vSelectDrinkList);
          }
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        }
      });
    }
    //Hàm lấy dữ liệu người dùng :
    function getDataUserInfo(paramDataUserInfo){
      "use strict"
      paramDataUserInfo.hoTen = $("#inp-fullname").val().trim();
      paramDataUserInfo.email = $("#inp-email").val().trim();
      paramDataUserInfo.soDienThoai = $("#inp-dien-thoai").val().trim();
      paramDataUserInfo.diaChi = $("#inp-dia-chi").val().trim();
      paramDataUserInfo.loiNhan = $("#inp-message").val().trim();
      paramDataUserInfo.maGiamGia = $("#inp-voucher-id").val().trim();
      //Hàm lấy mã giảm giá và giá trị thành tiền :
      getDiscountByVoucherId(vDataUserInfo.maGiamGia);
      //Lấy dữ liệu đồ uống được chọn 
      vDrinkSelect = $("#select-doUong option:checked").val();
    }
    //Hàm kiểm tra dữ liệu 
    function validate(){
      "use strict"
      if(gSelectedMenuStructure.menu === ""){
        alert("Hãy chọn kích cỡ combo mà bạn muốn chọn");
        return false;
      }
      if(gSelectedPizzaType === ""){
        alert("Hãy chọn loại pizza mà bạn muốn chọn");
        return false;
      }
      if(vDrinkSelect === ""){
        alert("Hãy chọn đồ uống mà bạn yêu thích");
        return false;
      }
      if (vDataUserInfo.hoTen == ""){
        alert("Hãy nhập họ tên");
        return false;
      }
      if (vDataUserInfo.email == ""){
        alert("Hãy nhập email");
        return false;
      }
      if (vDataUserInfo.soDienThoai == ""){
        alert("Hãy nhập số điện thoại");
        return false;
      }
      if (isNaN(vDataUserInfo.soDienThoai) == true){
        alert("Số điện thoại phải là số");
        return false;
      }
      if (vDataUserInfo.diaChi == ""){
        alert("Hãy nhập địa chỉ");
        return false;
      }
      if (vDataUserInfo.email.includes("@") == false){
        alert("Đây không phải email");
        return false;
      }
      
      return true;
    }
    //Hàm tải dữ liệu lên trang : 
    function loadDataUserToFormModal(){
      "use strict"
      $("#inp-modal-ho-ten").val(vDataUserInfo.hoTen);
      $("#inp-modal-so-dien-thoai").val(vDataUserInfo.soDienThoai);
      $("#inp-modal-dia-chi").val(vDataUserInfo.diaChi);
      $("#inp-modal-loi-nhan").val(vDataUserInfo.loiNhan);
      $("#inp-modal-ma-giam-gia").val(vDataUserInfo.maGiamGia);
      $("#textarea").html(`
      Xác nhận: `+ vDataUserInfo.hoTen +`.Số điện thoại :`+ vDataUserInfo.soDienThoai +`.Địa chỉ: `+ vDataUserInfo.diaChi +`.
      Menu: `+ gSelectedMenuStructure.menuName +`.Sườn nướng: `+ gSelectedMenuStructure.suonNuong +`.Nước: `+ gSelectedMenuStructure.drink +`.
      Loại Pizza: `+ gSelectedPizzaType +`.Giá `+ gSelectedMenuStructure.priceVND +`.Mã giảm giá : `+ vDataUserInfo.maGiamGia +`.
      Phải thanh toán: `+ gSelectedMenuStructure.thanhTien +`(giảm giá:`+ gSelectedMenuStructure.discount +`%).
      `);
    }
    //Hàm lấy phần trăm giảm giá từ voucher id 
    function getDiscountByVoucherId(paramVoucherId){
      "use strict"
      if (paramVoucherId !== ""){
        //Call Ajax để lấy phần trăm giảm giá 
        $.ajax({
          url: "http://42.115.221.44:8080/devcamp-voucher-api/voucher_detail/" + paramVoucherId,
          async: false,
          type:"GET",
          success: function(responseObject){
            gSelectedMenuStructure.discount = responseObject.phanTramGiamGia;
            console.log(responseObject);
            //Hiển thị mã orderId lên form modal complete
          },
          error: function (ajaxContext) {
            //Vì một lý do nào đó mã giảm giá không được nhập thì phần trăm giảm giá sẽ bằng 0
            console.log("Không tìm thấy mã voucher");
          }
        });
      }
      //Nếu không nhập giá trị mã giảm giá thì phần trăm giảm giá bằng 0
      else {
        gSelectedMenuStructure.phanTramGiamGia = 0;
      }
      //Giá trị thành tiền = Giá ban đầu * ( 1 - Phần trăm giảm giá / 100 )
      gSelectedMenuStructure.thanhTien = gSelectedMenuStructure.priceVND * (1-gSelectedMenuStructure.discount/100);
    }
  });
</script>
</html>
